Your submission was sent successfully! Close

You have successfully unsubscribed! Close

Thank you for signing up for our newsletter!
In these regular emails you will find the latest updates about Ubuntu and upcoming events where you can meet our team.Close

CVE-2021-29976

Published: 14 July 2021

Mozilla developers reported memory safety bugs present in code shared between Firefox and Thunderbird. Some of these bugs showed evidence of memory corruption and we presume that with enough effort some of these could have been exploited to run arbitrary code. This vulnerability affects Thunderbird < 78.12, Firefox ESR < 78.12, and Firefox < 90.

Notes

AuthorNote
tyhicks
mozjs contains a copy of the SpiderMonkey JavaScript engine

Priority

Medium

Cvss 3 Severity Score

8.8

Score breakdown

Status

Package Release Status
firefox
Launchpad, Ubuntu, Debian
impish
Released (90.0+build1-0ubuntu1)
jammy
Released (90.0+build1-0ubuntu1)
trusty Does not exist

xenial Ignored
(end of standard support, was needed)
bionic
Released (90.0+build1-0ubuntu0.18.04.1)
focal
Released (90.0+build1-0ubuntu0.20.04.1)
groovy
Released (90.0+build1-0ubuntu0.20.10.1)
hirsute
Released (90.0+build1-0ubuntu0.21.04.1)
upstream
Released (90)
kinetic
Released (90.0+build1-0ubuntu1)
lunar
Released (90.0+build1-0ubuntu1)
mantic
Released (90.0+build1-0ubuntu1)
mozjs38
Launchpad, Ubuntu, Debian
impish Does not exist

jammy Does not exist

bionic Needs triage

focal Does not exist

groovy Does not exist

hirsute Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

kinetic Does not exist

lunar Does not exist

mantic Does not exist

mozjs52
Launchpad, Ubuntu, Debian
focal Needs triage

groovy Ignored
(end of life)
hirsute Does not exist

impish Does not exist

jammy Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

bionic Needs triage

kinetic Does not exist

lunar Does not exist

mantic Does not exist

mozjs68
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Needs triage

groovy Ignored
(end of life)
hirsute Does not exist

impish Does not exist

jammy Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

kinetic Does not exist

lunar Does not exist

mantic Does not exist

mozjs78
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Does not exist

groovy Ignored
(end of life)
jammy Needs triage

trusty Does not exist

upstream Needs triage

xenial Does not exist

hirsute Ignored
(end of life)
impish Ignored
(end of life)
kinetic Ignored
(end of life, was needs-triage)
lunar Ignored
(end of life, was needs-triage)
mantic Does not exist

thunderbird
Launchpad, Ubuntu, Debian
bionic
Released (1:78.13.0+build1-0ubuntu0.18.04.1)
focal
Released (1:78.13.0+build1-0ubuntu0.20.04.2)
groovy Ignored
(end of life)
hirsute
Released (1:78.13.0+build1-0ubuntu0.21.04.2)
impish
Released (1:78.12.0+build2-0ubuntu1)
jammy
Released (1:78.12.0+build2-0ubuntu1)
upstream
Released (78.12)
trusty Does not exist

xenial Ignored
(end of standard support, was needed)
kinetic
Released (1:78.12.0+build2-0ubuntu1)
lunar
Released (1:78.12.0+build2-0ubuntu1)
mantic
Released (1:78.12.0+build2-0ubuntu1)

Severity score breakdown

Parameter Value
Base score 8.8
Attack vector Network
Attack complexity Low
Privileges required None
User interaction Required
Scope Unchanged
Confidentiality High
Integrity impact High
Availability impact High
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H